Bug 1547425 (CVE-2018-1000078) - CVE-2018-1000078 rubygems: XSS vulnerability in homepage attribute when displayed via gem server
Summary: CVE-2018-1000078 rubygems: XSS vulnerability in homepage attribute when displ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1000078
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1785394 1785395 1785396 1547431 1547432 1547433 1547440 1549913 1549914 1554493 1554494 1651603 1651609 1651617 1651630 1651801 1652039 1652040 1785397
Blocks: 1547429
TreeView+ depends on / blocked
 
Reported: 2018-02-21 10:30 UTC by Adam Mariš
Modified: 2019-12-19 20:02 UTC (History)
29 users (show)

Fixed In Version: rubygems 2.7.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:40:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3729 None None None 2018-11-29 09:56:10 UTC
Red Hat Product Errata RHSA-2018:3730 None None None 2018-11-29 10:10:38 UTC
Red Hat Product Errata RHSA-2018:3731 None None None 2018-11-29 10:22:03 UTC
Red Hat Product Errata RHSA-2019:2028 None None None 2019-08-06 12:03:45 UTC

Description Adam Mariš 2018-02-21 10:30:16 UTC
Cross-site scripting vulnerability in homepage attribute when displayed via gem server was found.

Upstream fix:

https://github.com/rubygems/rubygems/commit/66a28b9275551384fdab45f3591a82d6b59952cb

External References:

https://www.ruby-lang.org/en/news/2018/02/17/multiple-vulnerabilities-in-rubygems/

Comment 1 Adam Mariš 2018-02-21 10:36:44 UTC
Created rubygems tracking bugs for this issue:

Affects: fedora-all [bug 1547431]

Comment 8 Andrej Nemec 2018-05-14 13:58:39 UTC
Statement:

This issue affects the versions of rubygems as shipped with Red Hat Subscription Asset Manager 1.x. Red Hat Product Security has rated this issue as having security impact of Moderate. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

This issue affects the versions of rubygems as shipped with Red Hat Satellite version 6 on Red Hat Enterprise Linux version 5. Red Hat Product Security has rated this issue as having security impact of Moderate. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 13 errata-xmlrpc 2018-11-29 09:55:58 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3729 https://access.redhat.com/errata/RHSA-2018:3729

Comment 14 errata-xmlrpc 2018-11-29 10:10:28 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3730 https://access.redhat.com/errata/RHSA-2018:3730

Comment 15 errata-xmlrpc 2018-11-29 10:21:53 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2018:3731 https://access.redhat.com/errata/RHSA-2018:3731

Comment 16 errata-xmlrpc 2019-08-06 12:03:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2028 https://access.redhat.com/errata/RHSA-2019:2028


Note You need to log in before you can comment on or make changes to this bug.